Go Down

Topic: Trouble importing library on Arduino 1.0.5 r2 (Read 1 time) previous topic - next topic

TWeiss33

Feb 28, 2014, 06:43 am Last Edit: Feb 28, 2014, 06:56 am by TWeiss33 Reason: 1
Hello all,
       I am having trouble importing the Ethercard library. I have downloaded the zip file from 3 different websites and when I try to import the library the Arduino program states "ZIP does not contain a library." I have tried extracting the contents of the  file (which I read I am not supposed to do, but ran out of ideas) and that did not work. I then tried dragging the zip file into the library folder and then opening Arduino, but that didn't work either. Any help would be greatly appreciated,
           Thanks!

Another error that came up was "ignoring bad library name"

knut_ny

unzip the lib to correct folder. (subfolder under 'libraries')
Beware restrictions on folder names
Ny

bperrybap


unzip the lib to correct folder. (subfolder under 'libraries')
Beware restrictions on folder names

Yea, the biggest and most retarded restriction being dashes in the library directory name.
There is no reason for this as all the IDE on all the supported OS platforms support dashes in filename/directory names
so there is no portability reason for this.

knut_ny,
my guess is that you downloaded a git zip repository image from the repository.
This is not a "normal" Arduino library zip image and by default will create a zip image
with a sub directory called: {reponame}-master
So if you got it from the ethercard repo you end up with a directory called
ethercard-master which is rejected by the IDE.
If this is the case, you need to strip off the "-master" from the directory name.
(just rename the directory)

Personally, I think the IDE should not reject dashes in filenames
and if it wants to be this dumb, then prompt you to rename it rather than installing it
(since the name is perfectly valid),  and then reject it later when trying to use it.

--- bill


knut_ny

Ny

TWeiss33

yes problem solved, thank you guys very much for the help!

ysrinivas

hi every one

i am trying the example codes that are given in the following link

http://arduino.cc/en/Tutorial/GSMToolsTestModem
i am using the Arduino 1.0.5
and i  am getting the following errors while compiling the code it self..
Code: [Select]

GSM_Testing.cpp:15:17: error: GSM.h: No such file or directory
GSM_Testing:17: error: 'GSMModem' does not name a type
GSM_Testing.cpp: In function 'void setup()':
GSM_Testing:29: error: 'modem' was not declared in this scope
GSM_Testing.cpp: In function 'void loop()':
GSM_Testing:39: error: 'modem' was not declared in this scope


any one who is reading the post please help me out...

thanks in advance...


knut_ny

library missing?
put the downloaded library in a subfolder under 'libraries'
Ny

ysrinivas

#7
Mar 26, 2014, 09:01 am Last Edit: Mar 26, 2014, 09:03 am by ysrinivas Reason: 1
hi thanks for reply

i didn't downloaded any GSM library for this. but in the "program files/Arduino/libraries/" i found GSM folder inside and there are no.of file there are notepad files with out any extension... what i have to do now???

->do i need to download the GSM library????
->from where can i download this library ???
i searched in arduino.cc for these libraries i did'nt find anything
if you know any links from where we can download please share with me ...

PaulS

Quote
there are notepad files with out any extension... what i have to do now???

Uninstall Windows, and install a real operating system.

Or, learn how to actually use Windows, and tell it to stop hiding extensions. Stupidest thing they ever came up with!

knut_ny

control panel, folders, show.....set/remove x as u please. 
there is one 'hide extension' for known filetypes..  uncheck
Ny

Go Up